net.sf.cpsolver.ifs.model

## Interface InfoProvider<V extends Variable<V,?>>

- All Known Subinterfaces:
    Criterion<V,T>
  All Known Implementing Classes:
    AbstractCriterion, AssignedValue, AssignmentCount, BackToBackInstructorPreferences, BrokenTimePatterns, DeltaTimePreference, DepartmentBalancingPenalty, DistanceToStronglyPreferredRoom, DistributionPenalty, DistributionPreferences, DistributionViolation, ExamCriterion, ExamRotationPenalty, ExamSplitter, FlexibleConstraintCriterion, HardConflicts, IgnoredCommittedStudentConflict, IgnoredStudentConflict, ImportantStudentConflict, ImportantStudentHardConflict, InstructorBackToBackConflicts, InstructorDirectConflicts, InstructorDistanceBackToBackConflicts, InstructorLunchBreak, InstructorMoreThan2ADayConflicts, InstructorNotAvailableConflicts, InstructorStudentConflict, InstructorStudentHardConflict, LargeExamsPenalty, PeriodIndexPenalty, PeriodPenalty, PeriodSizePenalty, PeriodViolation, PerturbationPenalty, Perturbations, PlacementSelectionCriterion, PotentialHardConflicts, QuadraticStudentConflict, QuadraticStudentHardConflict, RoomPenalty, RoomPerturbationPenalty, RoomPreferences, RoomSizePenalty, RoomSizePenalty, RoomSplitDistancePenalty, RoomSplitPenalty, RoomViolation, RoomViolations, SameSubpartBalancingPenalty, StudentBackToBackConflicts, StudentCommittedConflict, StudentConflict, StudentDirectConflicts, StudentDistanceBackToBackConflicts, StudentDistanceConflict, StudentHardConflict, StudentLuchBreak, StudentMoreThan2ADayConflicts, StudentNotAvailableConflicts, StudentOverlapConflict, TimePreferences, TimetablingCriterion, TimeViolations, TooBigRooms, UselessHalfHours, WeightedHardConflicts

      public interface InfoProvider<V extends Variable<V,?>>

  A class providing INFO table.
  Version:
    IFS 1.2 (Iterative Forward Search)
    Copyright (C) 2006 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  See Also:
    `Model`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getInfo(Map<String,String> info)` Adds some information into the table with information about the solution
    `void` | `getInfo(Map<String,String> info, Collection<V> variables)` Adds some information into the table with information about the solution, only consider variables from the given set

- - ### Method Detail

    - #### getInfo

          void getInfo(Map<String,String> info)

      Adds some information into the table with information about the solution

    - #### getInfo

          void getInfo(Map<String,String> info,
                       Collection<V> variables)

      Adds some information into the table with information about the solution, only consider variables from the given set